#include <stdio.h>
#define FNMAX 80

main (argc, argv)		/* split file into two bytestreams */
int argc;
char *argv[];			/* use: bsplit directory infile */
				/* reads: directory/infile */
				/* produces: infile.0 infile.1 */
{
  FILE *fi, *fo0, *fo1;
  char cfi[FNMAX], cfo0[FNMAX], cfo1[FNMAX];
  int ni, no0, no1;
  int c;

  strcpy (cfi, argv[1]);
  strcat (cfi, "/");
  strcat (cfi, argv[2]);
  fi = fopen (cfi, "r");
  strcpy (cfo0, argv[2]);
  strcat (cfo0, ".0");
  fo0 = fopen (cfo0, "w");
  strcpy (cfo1, argv[2]);
  strcat (cfo1, ".1");
  fo1 = fopen (cfo1, "w");
  printf ("fi =%s\nfo0=%s\nfo1=%s\n", cfi, cfo0, cfo1);
  ni = no0 = no1 = 0;
  while ((c = getc(fi)) != EOF ) {
    if ((ni % 2) == 0) {
      putc (c, fo0);
      no0++;
    } else {
      putc (c, fo1);
      no1++;
    }
    ni++;
  }
  printf ("ni =%d\nno0=%d\nno1=%d\n", ni, no0, no1);
  fclose (fi);
  fclose (fo0);
  fclose (fo1);
}
